Subject: [rbridge] seeking input on abstract for problem and applicabi lity statement

From: petera at nortel.com (Peter Ashwood-Smith)
Date: Sat, 15 Oct 2005 20:13:42 -0400

> OK - thinking about this further, I think I get it - with a caveat.
> 
> BLOCK works fine, provided the rbridge campus is the ONLY 
> "device" in the L2 who thinks it's appropriate to BLOCK. As 
> such, it knows that it can't form a loop by tying together edge trees.
> 
> I.e., this works because all rbridges join to make a single 
> campus. If there are two or more campuses in the same L2, or 
> if some other device or pseudodevice (sbridge ;-) decides to 
> play this game, the rbridge campus can't BLOCK; it MUST be 
> PARTICIPATE or TRANSPARENT.
> 
> I don't believe it is therefore appropriate to BLOCK; if we 
> break the 'all bridges/hubs must play in spanning tree' rule, 
> we can't ensure that there won't be any other device that 
> will do this too.

  I think that if each new type of device takes care of detecting a 
condition that could loop between its own devices ( and avoiding it )
then the entire L2 network will be loop free. As you can see, the
rbridge did
not need to 'talk' to the bridges to detect that a loop
existed. It heard its own hellos and deduced that it would
form a loop if it uses both devices/ports. The same would be true of
any other hypothetical device, if it hears its own messages
on some other port it knows there is a loop. 

  Peter